#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    long int a, b;
    cin >> a >> b;
    int n1 = floor(log10(a))+1, n2 = floor(log10(b))+1;
    int maxn = max(n1, n2);
    int number=0;
    int j = 0;
    int adigit2 = 0, bdigit2 = 0;
    for (int i = 1; i <= maxn; i++) {
        int edgecase = pow(10, j);
        int digit = pow(10, i);
        int adigit = a % digit;
        int bdigit = b % digit;
        int adigit2 = a%(digit/10);
        int bdigit2 = b%(digit/10);
        int roundnumbera = adigit - adigit2;
        int roundnumberb = bdigit - bdigit2;
        if (adigit > bdigit || bdigit == 0) {
            number += (adigit - adigit2)*edgecase;
        }
        else if (bdigit > adigit || adigit == 0) {
            number += (bdigit-bdigit2)*edgecase;
        }
        if (roundnumbera == roundnumberb) {
            j++;
            number += roundnumbera * 10;
        }
        cout << number<<endl;
    }
}